Delete a portfolio
curl --request DELETE \
--url https://api.portfobit.com/api/v1/portfolios/{portfolio_id} \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.portfobit.com/api/v1/portfolios/{portfolio_id}"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.portfobit.com/api/v1/portfolios/{portfolio_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "pf_01J2K7M9N3",
"deleted": true,
"deleted_at": "2026-08-07T08:00:00Z"
},
"meta": {
"request_id": "req_01J2K8B7QW",
"generated_at": "2026-08-07T08:00:01Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z"
}
}Portfolios
Delete a portfolio
Requires portfolio:write and Idempotency-Key. Deleting a portfolio never deletes accounts or assets.
DELETE
/
portfolios
/
{portfolio_id}
Delete a portfolio
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Opaque retry key, unique to the same user, method, and path.
Required string length:
1 - 255Path Parameters
User-created portfolio ID; global cannot be changed.